Skip to content
logo
  • Products
    • Amwal Checkout
    • Merchant App
    • Merchant Control Panel
  • Pricing
  • Developers
  • About us
  • Contact Us
Edit Content
  • Products
    • Amwal Checkout
    • Merchant App
    • Merchant Control Panel
  • Pricing
  • Developers
  • About us
  • Contact Us
Login
Get Started
Login
Get Started
BA Booking

BA Booking

2
  • BA Booking overview
  • BA Booking Installation
amwalpay woocommerce

Woocommerce

2
  • Overview
  • Woocommerce Installation
CS-Cart

CS Cart

2
  • CS-Cart Overview
  • CS CART Installation
Shopify

Shopify

2
  • Shopify Overview
  • Shopify Installation
odoo

Odoo

2
  • Odoo Overview
  • Odoo Installation
whmcs

WHMCS

2
  • WHMCS Overview
  • WHMCS Installation
Magento

Magento

2
  • Magento 2 Overview
  • Magento Installation
Opencart

Opencart

2
  • OpenCart Overview
  • Opencart Installtion
ZenCart

ZenCart

2
  • ZenCart Overview
  • Zencart Installation
Drupal

Drupal

2
  • Drupal Overview
  • Drupal Installation
PrestaShop

PrestaShop

2
  • PrestaShop Overview
  • PrestaShop Installation
Contact Form 7

Contact Form 7

2
  • Contact Form 7 Overview
  • Contact Form 7 Installation
Joomla

Joomla

2
  • Joomla Overview
  • Joomla Installation
AMWAL INTEGRATED PAYMENT LINK

Integrated Payment Link

1
  • Implementation
Android SDk

Native Android SDK

2
  • Pre Requisites
  • Implementation
ios SDk

Native iOS SDK

3
  • Apple Pay Specific Configuration
  • Pre Requisites
  • Implementation
React SDk

React Native SDK

1
  • Implementation

Laravel Package

2
  • Installation
  • Configuration

Flutter SDK

2
  • Implementation
  • Flutter SDK Overview

SMARTBOX

5
  • Express ApplePay Implementation
  • Offsite Implementation
  • Pre Requisites
  • Implementation
  • Acquiring Session Token

Merchant Cloud Notification

1
  • Merchant Cloud Notification Integration Guide

Secure Hash Calculation

1
  • Secure Hash Calculation

Wp Travel Engine

1
  • Installation

Webhooks

8
  • Encryption and Decryption
  • Refund Payment
  • Void Payment
  • Get Transaction by ID
  • Transactions with Statistics
  • Transactions Summary
  • Delete Customer Token
  • Pay by Token
View Categories
  • Home
  • Amwal Pay Developer Portal
  • Webhooks
  • Delete Customer Token

Delete Customer Token

Overview #

The Delete Customer Token API allows merchants to delete a previously saved customer card token using the associated customerId and customerTokenId.

Once successfully deleted, the specified customer token can no longer be used for subsequent tokenized transactions.

Environment #

EnvironmentBase URL
UAThttps://test.amwalpg.com:14443/
Productionhttps://webhook.amwalpg.com/

Endpoint #

POST

/Customer/DeleteCustomerToken

Content Type #

application/json


Request #

Request Headers #

HeaderRequiredValue
Content-TypeYesapplication/json

Request Method #

POST

Sample Request #

{
    "merchantId": 7921,
    "customerId": "ec5a28a6-9055-496b-9da8-5c68ff51f6f0",
    "customerTokenId": "cbd1cc0f-ab41-4dca-a089-39e3d2294b30",
    "secureHashValue": "6FB154BF8793CEF208663F19C3D1C0BC886DDAA198047936801E9C21C53574F3"
}

Request Parameters #

FieldRequiredTypeConstraintsDescriptionExample
customerIdYesGUIDMaximum 32 charactersCustomer ID associated with the registered token in the system.5ee9205ab53d45638b07f90507c2866d
customerTokenIdYesGUIDMaximum 32 charactersCustomer token ID that identifies the saved customer card token.ea0a60d2e9be4c35b15a2a7f031a821f
merchantIdYesNumericMaximum 30 charactersMerchant ID associated with the customer token.1345
secureHashValueYesStringMaximum 256 charactersSecure hash value used to validate the integrity and authenticity of the request.3DB2F9CB975DADB533A2068F5C2911F9CCFF8AA0DFF3F92

Response #

Successful Response #

When the customer token is successfully deleted, the API returns success: true and response code 00.

Sample Success Response #

{
    "success": true,
    "responseCode": "00",
    "message": "Success",
    "data": null,
    "errorList": []
}

Success Response Parameters #

FieldTypeDescriptionExample
successBooleanIndicates whether the token deletion was successful.true
responseCodeStringResponse code returned by the API.00
messageStringResponse message describing the result.Success
dataObjectResponse data. This is null when the token is successfully deleted.null
errorListString ArrayList of errors. This should be empty for a successful response.[]

Failure Response #

If the customer token cannot be deleted, the API returns success: false along with a response code and an errorList describing the failure.

Sample Failure Response #

{
    "success": false,
    "message": "APGEX: A business exception occurred. Please contact your system administrator. 16b63ae8fcd9",
    "responseCode": "61",
    "data": null,
    "errorList": [
        "Token Not Found"
    ]
}

Failure Response Parameters #

FieldTypeDescriptionExample
successBooleanIndicates whether the token deletion was successful.false
responseCodeStringResponse code returned by the API.61
messageStringResponse or error message describing the failure.Token Not Found
dataObjectResponse data. This is typically null when the request fails.null
errorListString ArrayList containing one or more errors describing the failure.["Token Not Found"]

Common Failure Example #

Token Not Found #

{
    "success": false,
    "responseCode": "61",
    "message": "APGEX: A business exception occurred. Please contact your system administrator. 16b63ae8fcd9",
    "data": null,
    "errorList": [
        "Token Not Found"
    ]
}

The Token Not Found error indicates that the specified customerId and/or customerTokenId could not be found or does not correspond to a valid saved customer token.


Note: Ensure that the correct merchant credentials and environment-specific configuration are used when switching between UAT and Production.


Token Deletion Flow #

The Delete Customer Token process follows these steps:

  1. The merchant obtains the card customerId and customerTokenId associated with the saved customer card.
  2. The merchant prepares a deletion request containing the required customer and merchant information.
  3. The merchant generates the required secureHashValue.
  4. The request is submitted to the Customer/DeleteCustomerToken endpoint.
  5. The API validates the request and attempts to delete the specified customer token.
  6. If successful, the API returns response code 00 and an empty errorList.
  7. If the token cannot be found or the deletion fails, the API returns an appropriate failure response.
Updated on August 10, 2026

What are your Feelings

  • Happy
  • Normal
  • Sad

Share This Article :

  • Facebook
  • X
  • LinkedIn
  • Pinterest
Transactions SummaryPay by Token
Table of Contents
  • Overview
    • Environment
    • Endpoint
    • Content Type
  • Request
    • Request Headers
    • Request Method
    • Sample Request
  • Request Parameters
  • Response
    • Successful Response
      • Sample Success Response
    • Success Response Parameters
  • Failure Response
    • Sample Failure Response
    • Failure Response Parameters
  • Common Failure Example
    • Token Not Found
  • Token Deletion Flow

Secure. Seamless – Powering Payments for Every Business.

Sign Up
Support

4th Floor, Majan Tower Building
North Al Ghubrah, P.O. Box 233, P.C 118
Muscat, Sultanate of Oman

: support@amwal-pay.com

📞 : +96824121845

Resources
  • Developers
  • Careers
Company
  • About us
  • Contact Us
  • Contact Sales
  • Partners

2026 © AmwalPay. All Rights Reserved.

  • Terms & Conditions
  • Privacy Policy